/**
 * Position related mixins.
 */

/// Center element using translate ans absolute
/// @param {String} $axis - "both", "y" or "x"
@mixin center($axis: 'both') {
    position: absolute;

    @if $axis == 'y' {
        top: 50%;
        transform: translateY(-50%);
    }

    @if $axis == 'x' {
        left: 50%;
        transform: translateX(-50%);
    }

    @if $axis == 'both' {
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
    }
}
